/*                                                            -*- C -*-
 * Copyright (c) 2003-2004 Teranishi & Nemoto 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#include "ztenextbase.h"

#ifndef ZTENEXT_H
#define ZTENEXT_H

class QBookEntry;

class ZtenExtension : public ZtenExtensionBase
{
  Q_OBJECT
public:
  ZtenExtension (QBookEntry *bep, 
		 QWidget* parent = 0, const char *name = 0, 
		 bool modal = FALSE, WFlags fl = 0);
  ~ZtenExtension ();

  QBookEntry *be;
private slots:
  //  void appendixToggled (bool);
  void stopcodeChanged ();
  void colorSelect();
protected slots:
  virtual void accept ();
};

#endif // ZTENEXT_H
