/*                                                            -*- C -*-
 * Copyright (c) 2004 Takashi Nemoto 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#ifndef ZTENFONTMENU_H
#define ZTENFONTMENU_H

#include "ztenfontmenubase.h"
#include <qstring.h>

class ZtenFontMenu : public ZtenFontMenuBase
{
  Q_OBJECT
public:
  ZtenFontMenu (QString family, int size, QWidget* parent = 0, const char *name = 0, bool modal = FALSE, WFlags fl = 0);
  ~ZtenFontMenu ();

  bool setSampleFont(QString& family, int& size);
  void setCurrent(const QString& family, int size);
  QString family();
  int size();

  protected slots:
  void familyChanged ();
  void sizeChanged();
};

#endif // ZTENFONTMENU_H
