/*                                                            -*- C -*-
 * Copyright (c) 2004 Takashi Nemoto 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */


#include "ztenconfigbase.h"

#ifndef GLOBALCONFIG_H
#define GLOBALCONFIG_H

class QWidget;
class KeyString;
class KeyConfig;

class GlobalConfig : public GlobalConfigBase
{
  Q_OBJECT
public:
  GlobalConfig ( QWidget* parent = 0, const char *name = 0, 
		 bool modal = FALSE, WFlags fl = 0);
  ~GlobalConfig ();

  QString KeyString(const KeyConfig& keyconf);
protected slots:
  virtual void accept ();
};

#endif
