#ifndef QBOOKITEM_H
#define QBOOKITEM_H
#include <qlistview.h>

class QBookItem : public QListViewItem
{
 public:
  QBookItem (QListView *parent);
  ~QBookItem ();
  void paintCell(QPainter*,const QColorGroup&,int,int,int);
  void setSubBookPos (int pos) { sub_book_pos = pos; }
  int getSubBookPos ()  { return sub_book_pos; }
  void setPath (const char *p) { path = strdup (p); }
  const char *getPath () { return path; }
  void setID (int i) { id = i; }
  int getID () { return id; }
  void setColor(QString);
 private:
  int id;
  const char *path;
  int sub_book_pos;
  QColor color;
};

#endif // QBOOKITEM_H
