#include <qapplication.h>
#include <qimage.h>
#include <qpixmap.h>

int small_display_cache = -1;

#include <stdio.h>
int
small_display_p ()
{
  if (small_display_cache < 0)
    {
      QWidget *d = QApplication::desktop();
      small_display_cache = (d->width() * d->height() < 100000);
      small_display_cache += (d->width() * d->height() <= 640*480);
    }
  return small_display_cache;
}

QPixmap
small_pixmap (const char *xpm[])
{
  QImage qim(xpm);
  QPixmap pm;
//  pm.convertFromImage(qim.smoothScale(12, 12));
  if(small_display_cache <= 1) {
    if(qim.height() > 20) {
      pm.convertFromImage(qim.smoothScale(22, 22));
    } else {
      pm.convertFromImage(qim);
    }
  } else {
    if(qim.height() > 12) {
      pm.convertFromImage(qim.smoothScale(12, 12));
    } else {
      pm.convertFromImage(qim);
    }
  }
  return pm;
}
