#include "ztenmultisearchbase.h"
#include "qbookentry.h"

#ifndef ZTENMULTISEARCH_H
#define ZTENMULTISEARCH_H

class QBookMultiSearch;
class Zten;

class ZtenMultiSearch : public MultiSearchBase
{
  Q_OBJECT
public:
  ZtenMultiSearch (Zten *zt, QBookMultiSearch *qms, QWidget* parent = 0, const char* name = 0, bool modal = true, WFlags fl = 0);
  ~ZtenMultiSearch ();
  bool setupDict(QBookEntry *be);

 private slots:
  void multiCandidate1 ();
  void multiCandidate2 ();
  void multiCandidate3 ();
  void multiCandidate4 ();
  void multiCandidate5 ();
  void setCandidateLabel (int, QString, QString);

  //  void multiSelected (int);
  void multiSearch ();
  //  void multiResume ();

  void accept();

 public:
  void addMultiSearchEntry (QBookEntry *,int,QString,bool);

 private:
  QString candidate1;
  QString candidate2;
  QString candidate3;
  QString candidate4;
  QString candidate5;

  QBookEntry *current_book;
  int multi_number;
  QBookMultiSearch *ms;
  Zten *zten;

};

#endif // ZTENBOOKLIST_H
